> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Arenas

> Retrieve a paginated list of arenas. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /arenas
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /arenas:
    get:
      tags:
        - Arena
      summary: Arenas
      description: >-
        Retrieve a paginated list of arenas. Use the `fields` parameter to
        customize response fields.
      operationId: listArenas
      parameters:
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - name
                - location
                - yearOfConstruction
                - capacity
                - infoAsHTML
                - imageUrl
                - country
                - eliteprospectsUrlPath
                - _links
                - updatedAt
                - country.*
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* id, name, location, yearOfConstruction, capacity, infoAsHTML, imageUrl, country, eliteprospectsUrlPath, _links, updatedAt"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
        - in: query
          name: sort
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - '-id'
                - name
                - '-name'
                - location
                - '-location'
                - country
                - '-country'
                - yearOfConstruction
                - '-yearOfConstruction'
                - capacity
                - '-capacity'
                - updatedAt
                - '-updatedAt'
            default: name
          style: form
          explode: false
          required: false
          description: >-
            Sort results by field name. Prefix with `-` for descending order
            (e.g., `-name`).
        - in: query
          name: id
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by id
          style: form
          explode: false
        - in: query
          name: id:gt
          schema:
            type: integer
          required: false
          description: Filter by id greater than
        - in: query
          name: team
          schema:
            type: integer
          required: false
          description: Filter by team ID
        - in: query
          name: country
          schema:
            type: string
          required: false
          description: Filter by country slug in ISO 3166-1 alpha-3
        - in: query
          name: updatedAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by updatedAt greater or equal to in ISO-8601 format for date
            and time
      responses:
        '200':
          description: A paginated list of arenas.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Arena'
          x-field-info:
            defaultFields:
              - id
              - name
              - location
              - yearOfConstruction
              - capacity
              - country
              - _links
            extendedFields:
              - infoAsHTML
              - imageUrl
              - eliteprospectsUrlPath
              - updatedAt
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    Arena:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        location:
          type: string
          nullable: true
        yearOfConstruction:
          type: integer
          nullable: true
        capacity:
          type: integer
          nullable: true
        infoAsHTML:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        eliteprospectsUrlPath:
          type: string
        _links:
          type: array
          items:
            type: string
        updatedAt:
          type: string
    Country:
      type: object
      properties:
        slug:
          type: string
          description: ISO 3166-1 alpha-3
        name:
          type: string
        iso_3166_1_alpha_2:
          type: string
          nullable: true
          description: ISO 3166-1 alpha-2
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````